summaryrefslogtreecommitdiff
path: root/git-applymbox.sh
diff options
context:
space:
mode:
authorLibravatar Junio C Hamano <junkio@cox.net>2007-03-14 01:39:19 -0700
committerLibravatar Junio C Hamano <junkio@cox.net>2007-03-14 01:39:19 -0700
commit5a27b3211a37ca283738c3f114e8123393d1518a (patch)
tree3bd44ecd8be854ef624240f01b7af359f09022c2 /git-applymbox.sh
parentMerge branch 'jb/per-user-exclude' (diff)
parentAdd a couple more test cases to the suite. (diff)
downloadtgif-5a27b3211a37ca283738c3f114e8123393d1518a.tar.xz
Merge branch 'dz/mailinfo'
* dz/mailinfo: Add a couple more test cases to the suite. restrict the patch filtering builtin-mailinfo.c infrastrcture changes
Diffstat (limited to 'git-applymbox.sh')
-rwxr-xr-xgit-applymbox.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/git-applymbox.sh b/git-applymbox.sh
index 1f68599ae5..2cbdc7eb3c 100755
--- a/git-applymbox.sh
+++ b/git-applymbox.sh
@@ -77,6 +77,10 @@ do
*)
git-mailinfo $keep_subject $utf8 \
.dotest/msg .dotest/patch <$i >.dotest/info || exit 1
+ test -s $dotest/patch || {
+ echo "Patch is empty. Was is split wrong?"
+ stop_here $this
+ }
git-stripspace < .dotest/msg > .dotest/msg-clean
;;
esac